DeepFellow DOCS

Create a new project

Create a new project in the organization. Projects can be created and archived, but cannot be deleted.

POST
/v1/organization/projects
Authorization[Bearer <token>]

In: header

Header Parameters

OpenAI-Organization?[Openai-Organization]

Organization Id from OpenAi compatible endpoint. Required to organization access or project access (with OpenAI-Project header) when logged as User or Admin User.

name[Name]

The friendly name of the project.

status?[ProjectStatus]

The status of the project.

Default"active"
Value in"active" | "archived"
models?[Models]

The models associated with the project. (incompatible)

Default[]
custom_endpoints?[Custom Endpoints]

The custom endpoints associated with the project.

Default"all"
mcp_prefixes?[Mcp Prefixes]

The MCP servers prefixes associated with the project.

Default"all"
webhook_url?[Webhook Url]

HTTPS endpoint that receives signed webhook event callbacks for this project.

webhook_secret?[Webhook Secret]

Secret used to sign webhook event callbacks via HMAC-SHA256.

Response Body

curl -X POST "https://deepfellow-server-host/v1/organization/projects" \  -H "OpenAI-Organization: string" \  -H "Content-Type: application/json" \  -d '{    "name": "Simplito"  }'
{
  "name": "Simplito",
  "status": "active",
  "models": [
    "llama3.1:8b",
    "qwen3:latest"
  ],
  "custom_endpoints": [
    "/v1/ocr",
    "/summarize"
  ],
  "mcp_prefixes": [
    "ocr-websearch",
    "brave-search"
  ],
  "webhook_url": null,
  "webhook_secret": null,
  "id": "5eb7cf5a86d9755df3a6c593",
  "created_at": 1789541338
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}

We use cookies on our website. We use them to ensure proper functioning of the site and, if you agree, for purposes such as analytics, marketing, and targeting ads.